Subject: bug#7106: closed (Re: bug#7106: Unable to customize menu-bar startup from .emacs file)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Oct 2010 03:28:02 +0000

Your bug report

#7106: Unable to customize menu-bar startup from .emacs file 

which was filed against the emacs22 package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7106: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7106
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7106: Unable to customize menu-bar startup from .emacs file
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Thu, 30 Sep 2010 23:30:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Avery Chan wrote:

> Upgrading to 23.2.1 fixed this. Is there a process for letting Apple
> know that their stock installation is broken? I *am* using an older
> version of the OS so it might be fixed in 10.6.*. I don't know what
> kind of relationship gnu.org has with Apple; if there's a process for
> this it might be beneficial to push this to them.

There is no relationship between gnu.org and Apple in this regard.
You could report it to them through whatever channels they have for
users of their system to report bugs and make requests.

Subject: Unable to customize menu-bar startup from .emacs file
From: Avery Chan <[email-masked]>
To: [email-masked]
Date: Sun, 26 Sep 2010 09:03:55 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I put this in my .emacs file:

(custom-set-variables
  '(gud-gdb-command-name "gdb --annotate=1")
  '(large-file-warning-threshold nil)
  '(menu-bar-mode t)
  '(shell-dirtrack-verbose nil))
(custom-set-faces
  )
(add-hook 'shell-mode-hook 'ansi-color-for-comint-mode-on)
Note the (menu-bar-mode t). When I fire up emacs, I have to M-x menu- 
bar-mode to get a menu bar. I am running GNU Emacs 22.1.1 (mac-apple- 
darwin, Carbon Version 1.6.0)

I have posted my problem to http://stackoverflow.com/questions/3793806/how-do-i-display-the-menu-bar-in-emacs-every-time-i-start-up

The suggestions there didn't work; other users noted they did not have  
this type of a problem; I am concluding, then, that the problem lies  
with this particular build.

In GNU Emacs 22.1.1 (mac-apple-darwin, Carbon Version 1.6.0)
  of 2009-11-23 on Avericity.local
Windowing system distributor `Apple Inc.', version 10.5.8
configured using `configure  '--prefix=/usr' '--mandir=/usr/share/man'  
'--infodir=/usr/share/info' '--disable-dependency-tracking' '--without- 
x' '--enable-carbon-app=/BinaryCache/emacs/emacs-70.1~296/Root/ 
AppleInternal/Applications' 'ac_cv_host=mac-apple-darwin' 'CFLAGS=- 
arch i386 -arch ppc -g -Os -pipe -no-cpp-precomp -mdynamic-no-pic -Wno- 
pointer-sign -arch i386 -arch ppc -pipe' 'LDFLAGS=-arch i386 -arch ppc  
-Wl,-headerpad,0x1000''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: en_US.UTF-8
   locale-coding-system: utf-8
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   encoded-kbd-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   unify-8859-on-encoding-mode: t
   utf-translate-cjk-mode: t
   auto-compression-mode: t
   line-number-mode: t

Recent input:
ESC x r e p o r TAB RET

Recent messages:
("emacs")
Loading encoded-kb...done
For information about the GNU Project and its goals, type C-h C-p.
Loading emacsbug...
Loading regexp-opt...done
Loading emacsbug...done